package com.guams.review.service.mapper;

import com.guams.review.model.dao.Author;
import com.guams.review.model.dao.Comment;
import com.guams.review.model.dao.CommentWithAuthor;
import org.springframework.stereotype.Component;

@Component
public class Mapper {

    public Mapper() {}

    public ReturnableAuthor mapAuthor(Author author) {
        return new ReturnableAuthor()
                .setId(author.getId())
                .setName(author.getName())
                .setRole(author.getRole())
                .setProfilePicture(author.getProfilePicture());
    }

    public Comment mapCommentWithAuthor(CommentWithAuthor comment) {
        return new Comment()
                .setId(comment.getId())
                .setContent(comment.getContent())
                .setCommentDate(comment.getCommentDate())
                .setIsUpdated(comment.getIsUpdated());
    }
}
